Version 9.2 (bz 1891244)

- Unbundle widgetsnbextension (bz 1856311)
- Unbundle mathjax fonts (bz 1875606)
- Do not require the -doc subpackage from the main package (bz 1867123)
- Drop upstreamed patches: -ecl, -fes, -includes, -sagetex, -sigfpe, -sympy
This commit is contained in:
Jerry James 2020-11-11 16:28:59 -07:00
parent de0ac7db5f
commit 861d3bcc88
34 changed files with 1210 additions and 4460 deletions

View file

@ -1,171 +1,16 @@
diff -up src/bin/sage.orig src/bin/sage
--- src/bin/sage.orig 2020-05-20 16:33:41.000000000 -0600
+++ src/bin/sage 2020-07-06 16:33:49.015329159 -0600
@@ -26,13 +26,10 @@ usage() {
echo " file.[sage|py|spyx] -- run given .sage, .py or .spyx file"
echo " -advanced -- list all command line options"
echo " -c <cmd> -- Evaluates cmd as sage code"
- echo " -experimental -- list all experimental packages that can be installed"
echo " -gap [...] -- run Sage's Gap with given arguments"
echo " -gap3 [...] -- run Sage's Gap3 with given arguments"
echo " -gp [...] -- run Sage's PARI/GP calculator with given arguments"
echo " -h, -? -- print this help message"
- echo " -i [packages] -- install the given Sage packages"
- echo " -pip [...] -- invoke pip, the Python package manager"
echo " -inotebook [...] -- start the *insecure* Sage notebook (deprecated)"
echo " -maxima [...] -- run Sage's Maxima with given arguments"
echo " -mwrank [...] -- run Sage's mwrank with given arguments"
@@ -40,7 +37,6 @@ usage() {
echo " 'default', 'sagenb', 'jupyter', and 'export')"
echo " Current default is 'export' from sagenb to jupyter"
echo " -n, --notebook -- shortcut for --notebook=default"
- echo " -optional -- list all optional packages that can be installed"
echo " -python [...] -- run the Python interpreter"
echo " -python2 [...] -- run the Python 2 interpreter"
echo " -python3 [...] -- run the Python 3 interpreter"
@@ -58,10 +54,6 @@ usage() {
echo " --optional - controls which optional tests are run"
echo " --sagenb - test all sagenb files"
echo " --help - show all testing options"
- echo " -upgrade [version] -- download, build and install the given version. Here,"
- echo " 'version' is a git branch or tag name. Useful values"
- echo " are 'master' (the current development version, this"
- echo " is the default) or a version number like '5.13'."
echo " -v, -version -- display Sage version information"
exit 0
}
@@ -81,11 +73,8 @@ usage_advanced() {
echo " -preparse <file.sage> -- preparse file.sage and produce corresponding file.sage.py"
echo " -q -- quiet; start with no banner"
echo " -root -- print the Sage root directory"
- echo " -gthread, -qthread, -q4thread, -wthread, -pylab"
- echo " -- pass the option through to ipython"
echo " -v, -version -- display Sage version information"
echo " -dumpversion -- print Sage version"
- echo " -git-branch -- print the current git branch"
echo
#### 1.......................26..................................................78
@@ -97,8 +86,6 @@ usage_advanced() {
echo " See the output of sage --notebook --help"
echo " for more details and examples of how to pass"
echo " optional arguments"
- echo " -bn, -build-and-notebook [...] -- build the Sage library then start"
- echo " the Sage notebook"
echo " -inotebook [...] -- start the *insecure* Sage notebook (deprecated)"
echo " -n, -notebook [...] -- start the default Sage notebook (options are the"
echo " same as for the notebook command in Sage). See the"
@@ -119,18 +106,12 @@ usage_advanced() {
echo " Sage), passing additional options to IPython"
echo " -ipython3 [...] -- same as above, but using Python 3"
echo " -jupyter [...] -- run Sage's Jupyter with given arguments"
- echo " -kash [...] -- run Sage's Kash with given arguments"
- command -v kash &>/dev/null || \
echo " (not installed currently, run sage -i kash)"
echo " -lisp [...] -- run Lisp interpreter included with Sage"
echo " -M2 [...] -- run Sage's Macaulay2 with given arguments"
- command -v M2 &>/dev/null || \
- echo " (not installed currently, run sage -i macaulay2)"
echo " -maxima [...] -- run Sage's Maxima with given arguments"
echo " -mwrank [...] -- run Sage's mwrank with given arguments"
echo " -polymake [...] -- run Sage's Polymake with given arguments"
- command -v polymake &>/dev/null || \
- echo " (not installed currently, run sage -i polymake)"
echo " -python [...] -- run the Python interpreter"
echo " -python2 [...] -- run the Python 2 interpreter"
echo " -python3 [...] -- run the Python 3 interpreter"
@@ -147,55 +128,7 @@ usage_advanced() {
echo
#### 1.......................26..................................................78
#### |.....................--.|...................................................|
- echo "Installing packages and upgrading:"
- echo " -package [args] -- call the new package manager with given arguments."
- echo " Run without arguments for package-specific help."
- echo " -experimental -- list all experimental packages that can be installed"
- echo " -f [opts] [packages]-- shortcut for -i -f: force build of the given Sage"
- echo " packages"
- echo " -i [opts] [packages]-- install the given Sage packages. Options:"
- echo " -c -- run the packages' test suites"
- echo " -d -- only download, do not install packages"
- echo " -f -- force build: install the packages even"
- echo " if they are already installed"
- echo " -s -- do not delete the temporary build directories"
- echo " after a successful build"
- echo " -y -- reply yes to prompts about experimental"
- echo " and old-style packages; warning: there"
- echo " is no guarantee that these packages will"
- echo " build correctly; use at your own risk"
- echo " -n -- reply no to prompts about experimental"
- echo " and old-style packages"
- echo " -p [opts] [packages]-- install the given Sage packages, without dependency"
- echo " checking and with support for old-style spkgs."
- echo " Options are -c, -d and -s with the same meaning as"
- echo " for the -i command"
- echo " -info [packages] -- print the SPKG.txt of the given packages"
- echo " --location -- if needed, fix paths to make Sage relocatable"
- echo " -optional -- list all optional packages that can be installed"
- echo " -standard -- list all standard packages that can be installed"
- echo " -installed -- list all installed packages"
- echo " -upgrade [version] -- download, build and install the given version. Here,"
- echo " 'version' is a git branch or tag name. Useful values"
- echo " are 'master' (the current development version, this"
- echo " is the default) or a version number like '5.13'."
- echo " -pip [...] -- invoke pip, the Python package manager"
-
- echo
- #### 1.......................26..................................................78
- #### |.....................--.|...................................................|
- echo "Building and testing the Sage library:"
- echo " -b -- build Sage library."
- echo " -ba -- same as -b and rebuild all Cython code"
- echo " -ba-force -- same as -ba, but don't query before rebuilding"
- echo " -br -- build and run Sage"
- echo " -bt [...] -- build and test, options like -t below"
- echo " -btp <N> [...] -- build and test parallel, options like -tp below"
- echo " -btnew [...] -- build and test modified files, options like -tnew"
- echo " -fixdoctests <file.py> [output_file] [--long]"
- echo " -- replace failing doctests with the actual output. With"
- echo " optional output_file: redirect there. With the --long"
- echo " option: include #long time tests."
+ echo "Testing the Sage library:"
echo " -startuptime [module] -- display how long each component of Sage takes to"
echo " start up; optionally specify a module to get more"
echo " details about that particular module"
@@ -229,7 +162,6 @@ usage_advanced() {
echo " -coverage <files> -- give info about doctest coverage of files"
echo " -coverageall -- give summary info about doctest coverage of all"
echo " files in the Sage library"
- echo " -docbuild [lang/]<document> <html|pdf|...> -- Build the Sage documentation"
echo " -search_src <string> -- search through all the Sage library code for string"
echo " -search_doc <string> -- search through the Sage documentation for string"
echo " -grep <string> -- same as -search_src"
@@ -255,14 +187,6 @@ usage_advanced() {
echo
#### 1.......................26..................................................78
#### |.....................--.|...................................................|
- echo "Making Sage packages or distributions:"
- echo " -sdist -- build a source distribution of Sage"
- echo " -fix-pkg-checksums -- fix the checksums from build/pkgs directories from "
- echo " the packages located in upstream/"
-
- echo
- #### 1.......................26..................................................78
- #### |.....................--.|...................................................|
echo "Valgrind memory debugging:"
echo " -cachegrind -- run Sage using Valgrind's cachegrind tool. The log"
echo " files are named sage-cachegrind.PID can be found in"
@@ -276,9 +200,6 @@ usage_advanced() {
echo " -memcheck -- run Sage using Valgrind's memcheck tool. The log"
echo " files are named sage-memcheck.PID can be found in"
echo " $DOT_SAGE"
- echo " -omega -- run Sage using Valgrind's omega tool. The log"
- echo " files are named sage-omega.PID can be found in"
- echo " $DOT_SAGE"
echo " -valgrind -- this is an alias for -memcheck"
echo
echo "You can also use -- before a long option, e.g., 'sage --optional'."
@@ -288,115 +209,6 @@ usage_advanced() {
--- src/bin/sage.orig 2020-10-24 11:37:59.000000000 -0600
+++ src/bin/sage 2020-10-30 13:43:06.816896461 -0600
@@ -29,7 +29,6 @@ usage() {
echo " --gap [...] -- run Sage's Gap with given arguments"
echo " --gp [...] -- run Sage's PARI/GP calculator with given arguments"
echo " -h -- print this help message"
- echo " --pip [...] -- invoke pip, the Python package manager"
echo " --maxima [...] -- run Sage's Maxima with given arguments"
echo " --mwrank [...] -- run Sage's mwrank with given arguments"
echo " --notebook=[...] -- start the Sage notebook (valid options are"
@@ -59,119 +58,6 @@ usage() {
# below, after sourcing sage-env.
#####################################################################
-# Special options to be processed without sage-env
@ -239,6 +84,11 @@ diff -up src/bin/sage.orig src/bin/sage
- echo >&2 "Error: 'sage -i $OPT <package>' is no longer supported, use 'sage --info <package>' instead."
- exit 2;;
- -f) FORCE_INSTALL=yes;;
- # Setting SAGE_CHECK here duplicates what we do in sage-spkg
- # but we need it in "make" already when there are (order-only)
- # dependencies on packages providing test infrastructure
- -c) INSTALL_OPTIONS="$INSTALL_OPTIONS $OPT"; export SAGE_CHECK=yes;;
- -w) INSTALL_OPTIONS="$INSTALL_OPTIONS $OPT"; export SAGE_CHECK=warn;;
- -*) INSTALL_OPTIONS="$INSTALL_OPTIONS $OPT";;
- *) PACKAGES="$PACKAGES $OPT";;
- esac
@ -264,7 +114,7 @@ diff -up src/bin/sage.orig src/bin/sage
- # See https://trac.sagemath.org/ticket/25078
- if ! echo "$ALL_TARGETS" | grep "^${PKG}$" >/dev/null; then
- echo >&2 "Error: package '$PKG' not found"
- echo >&2 "Note: if it is an old-style package, use -p instead of -i to install it"
- echo >&2 "Note: if it is an old-style package, installing these is no longer supported"
- exit 1
- fi
- $MAKE SAGE_SPKG="sage-spkg $INSTALL_OPTIONS" "$PKG"
@ -275,12 +125,11 @@ diff -up src/bin/sage.orig src/bin/sage
- exit 0
-fi
-
-
-#####################################################################
# Report information about the Sage environment
#####################################################################
@@ -445,20 +257,6 @@ fi
@@ -217,20 +103,6 @@ fi
# Prepare for running Sage, either interactively or non-interactively.
sage_setup() {
@ -301,7 +150,7 @@ diff -up src/bin/sage.orig src/bin/sage
if [ ! -d "$IPYTHONDIR" ]; then
# make sure that $DOT_SAGE exists so that ipython will happily
# create its config directories there. If DOT_SAGE doesn't
@@ -469,20 +267,6 @@ sage_setup() {
@@ -241,20 +113,6 @@ sage_setup() {
}
@ -322,7 +171,35 @@ diff -up src/bin/sage.orig src/bin/sage
# Start an interactive Sage session, this function never returns.
interactive_sage() {
sage_setup
@@ -566,16 +350,6 @@ if [ "$1" = '-lisp' -o "$1" = '--lisp' ]
@@ -292,8 +150,6 @@ usage_advanced() {
echo " --nodotsage -- run Sage without using the user's"
echo " .sage directory: create and use a temporary"
echo " .sage directory instead."
- echo " --gthread, --qthread, --q4thread, --wthread, --pylab"
- echo " -- pass the option through to IPython"
echo " --simple-prompt -- pass the option through to IPython: use"
echo " this option with sage-shell mode in emacs"
if [ -n "$SAGE_SRC" -a -d "$SAGE_SRC" ]; then
@@ -327,18 +183,9 @@ usage_advanced() {
echo " environment (not Sage), passing additional"
echo " additional options to IPython"
echo " --jupyter [...] -- run Sage's Jupyter with given arguments"
- echo " --kash [...] -- run Sage's Kash with the given arguments"
- command -v kash &>/dev/null || \
- echo " (not installed currently, run sage -i kash)"
- echo " --M2 [...] -- run Sage's Macaulay2 with the given arguments"
- command -v M2 &>/dev/null || \
- echo " (not installed currently, run sage -i macaulay2)"
echo " --maxima [...] -- run Sage's Maxima with the given arguments"
echo " --mwrank [...] -- run Sage's mwrank with the given arguments"
- echo " --pip [...] -- invoke pip, the Python package manager"
echo " --polymake [...] -- run Sage's Polymake with given arguments"
- command -v polymake &>/dev/null || \
- echo " (not installed currently, run sage -i polymake)"
echo " --python [...], --python3 [...]"
echo " -- run the Python 3 interpreter"
echo " -R [...] -- run Sage's R with the given arguments"
@@ -601,11 +448,6 @@ if [ "$1" = '-lisp' -o "$1" = '--lisp' ]
exec ecl "$@"
fi
@ -330,29 +207,12 @@ diff -up src/bin/sage.orig src/bin/sage
- shift
- exec kash "$@"
-fi
-
-if [ "$1" = '-fixdoctests' -o "$1" = '--fixdoctests' ]; then
- shift
- exec sage-fixdoctests "$@"
-fi
-
if [ "$1" = '-maxima' -o "$1" = '--maxima' ]; then
shift
exec maxima "$@"
@@ -606,11 +380,6 @@ if [ "$1" = '--pip3' ]; then
exec "$SAGE_LOCAL"/bin/python3 -m pip "$@"
fi
-if [ "$1" = '-fix-pkg-checksums' -o "$1" = '--fix-pkg-checksums' ]; then
- shift
- exec sage-fix-pkg-checksums "$@"
-fi
-
if [ "$1" = '-python' -o "$1" = '--python' ]; then
shift
if [ "$SAGE_PYTHON3" = 'yes' ]; then
@@ -650,16 +419,6 @@ if [ "$1" = '-jupyter' -o "$1" = '--jupy
exec "$SAGE_LOCAL"/bin/jupyter "$@"
maxima_cmd=$(sage-config MAXIMA 2>/dev/null)
@@ -630,11 +472,6 @@ if [ "$1" = '-R' -o "$1" = '--R' ]; then
exec R "$@"
fi
-if [ "$1" = '-git' -o "$1" = '--git' ]; then
@ -360,48 +220,22 @@ diff -up src/bin/sage.orig src/bin/sage
- exec git "$@"
-fi
-
-if [ "$1" = '-git-branch' -o "$1" = '--git-branch' ]; then
- shift
- exec git --git-dir="$SAGE_ROOT"/.git rev-parse --abbrev-ref HEAD
-fi
-
if [ "$1" = '-sh' -o "$1" = '--sh' -o "$1" = '-buildsh' -o "$1" = '--buildsh' ]; then
# AUTHORS:
# - Carl Witty and William Stein: initial version
@@ -792,20 +551,6 @@ EOF
fi
#####################################################################
-# Test coverage of a module?
-#####################################################################
-
-if [ "$1" = "-coverage" -o "$1" = "--coverage" ]; then
- shift
- exec sage-coverage "$@"
-fi
-
-if [ "$1" = "-coverageall" -o "$1" = "--coverageall" ]; then
- shift
- exec sage-coverageall "$@"
-fi
-
-#####################################################################
# File conversion
#####################################################################
@@ -836,11 +581,6 @@ fi
# Run Sage's versions of the standard Algebra/Geometry etc. software
# sage --sh and sage --buildsh
#####################################################################
@@ -804,11 +641,6 @@ fi
# build_sage, sage -b, sage -br, etc. could be moved to
# build/bin/sage-site. See #29111.
-build_sage() {
- maybe_sage_location
- ( cd "$SAGE_SRC" && $MAKE ) || exit $?
- ( cd "$SAGE_ROOT/build/make" && $MAKE sagelib-no-deps ) || exit $?
-}
-
if [[ "$1" =~ ^--notebook=.* || "$1" =~ ^-n=.* || "$1" =~ ^-notebook=.* ]] ; then
sage-cleaner &>/dev/null &
exec sage-notebook "$@"
@@ -851,13 +591,6 @@ if [ "$1" = "-notebook" -o "$1" = '--not
@@ -819,13 +651,6 @@ if [ "$1" = "-notebook" -o "$1" = '--not
exec sage-notebook "$@"
fi
@ -412,11 +246,11 @@ diff -up src/bin/sage.orig src/bin/sage
- exec sage-notebook --notebook=default "$@"
-fi
-
if [ "$1" = "-inotebook" -o "$1" = '--inotebook' ]; then
shift
sage-cleaner &>/dev/null &
@@ -876,31 +609,12 @@ if [ "$1" = '-grepdoc' -o "$1" = "--grep
exit 0
if [ -n "$SAGE_SRC" -a -d "$SAGE_SRC" ]; then
# Source inspection facilities, supported on sage-the-distribution and on distributions
# that package the Sage sources.
@@ -842,40 +667,12 @@ if [ -n "$SAGE_SRC" -a -d "$SAGE_SRC" ];
fi
fi
-if [ "$1" = '-b' ]; then
@ -434,8 +268,17 @@ diff -up src/bin/sage.orig src/bin/sage
interactive_sage
fi
-if [ "$1" = '-ba' -o "$1" = '-ba-force' -o "$1" = '--ba-force' ]; then
- ( cd "$SAGE_SRC" && make clean )
-if [ "$1" = '-ba-force' -o "$1" = '--ba-force' ]; then
- echo
- echo "WARNING: 'sage --ba-force' is deprecated; use 'sage -ba' instead."
- echo
- ( cd "$SAGE_ROOT/build/make" && make sagelib-clean )
- build_sage
- exit $?
-fi
-
-if [ "$1" = '-ba' ]; then
- ( cd "$SAGE_ROOT/build/make" && make sagelib-clean )
- build_sage
- exit $?
-fi
@ -448,7 +291,7 @@ diff -up src/bin/sage.orig src/bin/sage
sage_setup
export PYTHONIOENCODING="utf-8" # Fix encoding for doctests
if [ "$1" = '-tp' -o "$1" = '-btp' ]; then
@@ -912,16 +626,6 @@ if [ "$1" = '-t' -o "$1" = '-bt' -o "$1"
@@ -887,16 +684,6 @@ if [ "$1" = '-t' -o "$1" = '-bt' -o "$1"
fi
fi
@ -465,10 +308,34 @@ diff -up src/bin/sage.orig src/bin/sage
if [ "$1" = '-testall' -o "$1" = "--testall" ]; then
shift
sage_setup
@@ -936,112 +640,6 @@ if [ "$1" = '-c' ]; then
exec sage-eval "$@"
@@ -904,21 +691,6 @@ if [ "$1" = '-testall' -o "$1" = "--test
exec sage-runtests -a "$@"
fi
-if [ "$1" = '-fixdoctests' -o "$1" = '--fixdoctests' ]; then
- shift
- exec sage-fixdoctests "$@"
-fi
-
-if [ "$1" = "-coverage" -o "$1" = "--coverage" ]; then
- shift
- exec sage-coverage "$@"
-fi
-
-if [ "$1" = "-coverageall" -o "$1" = "--coverageall" ]; then
- shift
- exec sage-coverageall "$@"
-fi
-
if [ "$1" = '-startuptime' -o "$1" = '--startuptime' ]; then
exec sage-startuptime.py "$@"
fi
@@ -941,53 +713,6 @@ fi
# Creating and handling Sage distributions
#####################################################################
-# The following could be moved to build/bin/sage-site. See #29111.
-
-if [ "$1" = '--location' ]; then
- maybe_sage_location
- exit 0
@ -514,26 +381,13 @@ diff -up src/bin/sage.orig src/bin/sage
- exec sage-package $@
-fi
-
-if [ "$1" = '-optional' -o "$1" = "--optional" ]; then
- shift
- exec sage-list-packages optional $@
-fi
-
-if [ "$1" = '-experimental' -o "$1" = "--experimental" ]; then
- shift
- exec sage-list-packages experimental $@
-fi
-
-if [ "$1" = '-standard' -o "$1" = "--standard" ]; then
- shift
- exec sage-list-packages standard $@
-fi
-
-if [ "$1" = '-installed' -o "$1" = "--installed" ]; then
- shift
- exec sage-list-packages all --installed-only $@
-fi
-
if [ "$1" = '-optional' -o "$1" = "--optional" ]; then
shift
exec sage-list-packages optional $@
@@ -1008,30 +733,6 @@ if [ "$1" = '-installed' -o "$1" = "--in
exec sage-list-packages all --installed-only $@
fi
-if [ "$1" = '-p' ]; then
- shift
- # If there are no further arguments, display usage help.
@ -558,27 +412,10 @@ diff -up src/bin/sage.orig src/bin/sage
- exec sage-sdist "$@"
-fi
-
-if [ "$1" = '-rsyncdist' -o "$1" = "--rsyncdist" ]; then
- if [ $# -ne 2 ]; then
- echo >&2 "** MISSING VERSION NUMBER! **"
- exit 2
- fi
- maybe_sage_location
- exec sage-rsyncdist $2
-fi
-
-if [ "$1" = "-docbuild" -o "$1" = "--docbuild" ]; then
- # Redirect stdin from /dev/null. This helps with running TeX which
- # tends to ask interactive questions if something goes wrong. These
- # cause the build to hang. If stdin is /dev/null, TeX just aborts.
- shift
- exec sage-python -m sage_setup.docbuild "$@" </dev/null
-fi
-
if [ "$1" = '-gdb' -o "$1" = "--gdb" ]; then
shift
sage_setup
@@ -1091,12 +689,6 @@ if [ "$1" = '-callgrind' -o "$1" = "--ca
#####################################################################
# Debugging tools
#####################################################################
@@ -1075,12 +776,6 @@ if [ "$1" = '-callgrind' -o "$1" = "--ca
exec sage-callgrind "$@"
fi
@ -588,39 +425,6 @@ diff -up src/bin/sage.orig src/bin/sage
- exec sage-omega "$@"
-fi
-
if [ "$1" = '-startuptime' -o "$1" = '--startuptime' ]; then
exec sage-startuptime.py "$@"
fi
diff -up src/bin/sage-valgrind.orig src/bin/sage-valgrind
--- src/bin/sage-valgrind.orig 2020-05-20 16:33:41.000000000 -0600
+++ src/bin/sage-valgrind 2020-07-07 08:59:38.369847693 -0600
@@ -4,28 +4,7 @@ if [ -z $SAGE_EXTCODE ]; then
SAGE_EXTCODE=`${0/-valgrind} -c "from sage.env import SAGE_EXTCODE; print(SAGE_EXTCODE)"`
fi
-SUPP=""
-# Our python2/3 spkgs and also Debian install these files as python.supp and python3.supp
-if [ "$SAGE_PYTHON_VERSION" = 2 ]; then
- PYTHON_SUPP_FILENAME="python.supp"
-else
- PYTHON_SUPP_FILENAME="python$SAGE_PYTHON_VERSION.supp"
-fi
-for dir in "$SAGE_LOCAL/lib/valgrind" "/usr/local/lib/valgrind" "/usr/lib64/valgrind" "/usr/lib/valgrind" ; do
- if [ -f "$dir"/"$PYTHON_SUPP_FILENAME" ]; then
- SUPP=" --suppressions=$dir/$PYTHON_SUPP_FILENAME"
- break
- fi
-done
-if [ -z "$SUPP" ] ; then
- echo "Python suppressions not found (not installed?), skipping"
-fi
-
-SUPP+=" --suppressions=$SAGE_EXTCODE/valgrind/pyalloc.supp"
-SUPP+=" --suppressions=$SAGE_EXTCODE/valgrind/sage.supp"
-SUPP+=" --suppressions=$SAGE_EXTCODE/valgrind/sage-additional.supp"
-
-MEMCHECK_FLAGS="--leak-resolution=high --leak-check=full --num-callers=25 $SUPP"
+MEMCHECK_FLAGS="--leak-resolution=high --leak-check=full --num-callers=25"
if [ "$SAGE_MEMCHECK_FLAGS" ]; then
echo "Overwriting memcheck flags with: $SAGE_MEMCHECK_FLAGS"
if [ "$1" = '-gthread' -o "$1" = '-qthread' -o "$1" = '-q4thread' -o "$1" = '-wthread' -o "$1" = '-pylab' -o "$1" = '--simple-prompt' -o "$1" = '-simple-prompt' ]; then
# Intentionally no "shift" here
interactive_sage "$@"